# Installation
> `npm install --save @types/react-notification-system-redux`

# Summary
This package contains type definitions for react-notification-system-redux (https://github.com/gor181/react-notification-system-redux).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-notification-system-redux.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-notification-system-redux/index.d.ts)
````ts
import { Component } from "react";
import { Attributes, Notification } from "react-notification-system";
import { Action } from "redux";

export as namespace Notifications;

export = Notifications;

declare class Notifications extends Component<Notifications.NotificationsProps> {}

declare namespace Notifications {
    type NotificationsState = Notification[];

    type NotificationLevel = "error" | "warning" | "info" | "success";

    type NotificationsReducer<A extends Action> = (state: NotificationsState, action: A) => NotificationsState;

    type NotificationShow = (opts?: Notification) => Action;

    interface NotificationsProps extends Attributes {
        notifications?: Notification[] | undefined;
    }

    const reducer: NotificationsReducer<any>;

    function show(opts?: Notification, level?: NotificationLevel): Action;
    const error: NotificationShow;
    function hide(opts?: Notification | string | number): Action;
    const info: NotificationShow;
    const success: NotificationShow;
    const warning: NotificationShow;
    function removeAll(): Action;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react), [@types/react-notification-system](https://npmjs.com/package/@types/react-notification-system), [redux](https://npmjs.com/package/redux)

# Credits
These definitions were written by [Karol Janyst](https://github.com/LKay).
